#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    string v;
    int x,resenje=0;
    cin >> v;
    vector<int> novcanice{0,1,1,2,2,1,2,2,3,3};
                        //0 1 2 3 4 5 6 7 8 9
    for (int i=0;i<v.size();i++)
    {
        x=(int)(v[i]-'0');
        resenje+=novcanice[x];
    }
    cout << resenje;
}